Bug 1577126 - Intermittent undefined method `join' for #<ProxyAPI::RestClientLogger> on CV publish
Summary: Intermittent undefined method `join' for #<ProxyAPI::RestClientLogger> on CV ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: 6.4.0
Assignee: Justin Sherrill
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 09:07 UTC by Roman Plevka
Modified: 2019-11-05 23:19 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-runcible-2.8.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:09:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Roman Plevka 2018-05-11 09:07:32 UTC
Description of problem:
Our automation is hitting many failures during the content view publishes.
The issue is intermittent (the same test won't always fail).
Currently I'm unable to provide a 100% reproducer as the root cause is unknown to me.
The syslog reveals a gap in the pulp logs during the incident.

I think we're hitting the same issue as:
http://projects.theforeman.org/issues/23538

Version-Release number of selected component (if applicable):
6.4.0-2

Steps to Reproduce:
1. this seems to happen mostly during CV publishes - the above RM issue implies that this might relate to capsule syncs

Actual results:
undefined method `join' for #<ProxyAPI::RestClientLogger:0x00007f5b80cd8790> (NoMethodError)

Comment 6 Justin Sherrill 2018-05-21 19:45:41 UTC
Build team: rubygem-runcible 2.8.1 is needed to resolve this issue. https://github.com/theforeman/foreman-packaging/pull/2509




Roman: In reality this won't actually fix the problem, but should reveal where the problem actually lies.

Comment 7 Roman Plevka 2018-05-24 07:25:41 UTC
(In reply to Justin Sherrill from comment #6)
> Build team: rubygem-runcible 2.8.1 is needed to resolve this issue.
> https://github.com/theforeman/foreman-packaging/pull/2509
> 
> 
> 
> 
> Roman: In reality this won't actually fix the problem, but should reveal
> where the problem actually lies.

gotcha

Comment 8 Roman Plevka 2018-07-17 07:31:28 UTC
VERIFIED
on sat6.4.0-12

actually, we no longer experience the issue since action described in comment #6 got introduced.
The issue never occurred again.

Comment 9 Bryan Kearney 2018-10-16 19:09:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.